osg::DrawElementsIndirectCommand Struct Reference

`#include <PrimitiveSetIndirect>`

## Public Member Functions

| DrawElementsIndirectCommand (unsigned int pcount=0, unsigned int pinstanceCount=0, unsigned int pfirstIndex=0, unsigned int pbaseVertex=0, unsigned int pbaseInstance=0)

## Public Attributes

unsigned int | count
unsigned int | instanceCount
unsigned int | firstIndex
unsigned int | baseVertex
unsigned int | baseInstance

## Detailed Description

default implementation of IndirectCommandDrawElements DrawElementsCommand

## Constructor & Destructor Documentation

## DrawElementsIndirectCommand()

osg::DrawElementsIndirectCommand::DrawElementsIndirectCommand | ( | unsigned int | pcount = 0,
|  | unsigned int | pinstanceCount = 0,
|  | unsigned int | pfirstIndex = 0,
|  | unsigned int | pbaseVertex = 0,
|  | unsigned int | pbaseInstance = 0 )

inline

References baseInstance, baseVertex, count, firstIndex, and instanceCount.

## Member Data Documentation

## baseInstance

unsigned int osg::DrawElementsIndirectCommand::baseInstance

Referenced by DrawElementsIndirectCommand().

## baseVertex

unsigned int osg::DrawElementsIndirectCommand::baseVertex

Referenced by DrawElementsIndirectCommand().

## count

unsigned int osg::DrawElementsIndirectCommand::count

Referenced by DrawElementsIndirectCommand().

## firstIndex

unsigned int osg::DrawElementsIndirectCommand::firstIndex

Referenced by DrawElementsIndirectCommand().

## instanceCount

unsigned int osg::DrawElementsIndirectCommand::instanceCount

Referenced by DrawElementsIndirectCommand().

The documentation for this struct was generated from the following file:

- PrimitiveSetIndirect